function out = continuous_to_discrete(x, xmin, xmax, dx)

% clip to avoid out of bounds
%x = max( [xmin min([ xmax x ], [], 2) ], [], 2);
x = max(x, xmin);
x = min(x, xmax);

% map to discrete
D = (xmax - xmin) ./ dx + 1;

d = round( (x - xmin) ./ dx);

out = d(1);
for k=2:length(d)
    out = out*D(k) + d(k);
end

out = out + 1;

