function [V xtraj utraj ts] = execute_lqr(K, xstart, dt, H, discount)

V = 0;

xtraj = zeros(2,H);
V = 0; 
xtraj(:,1) = xstart;
utraj = zeros(1,H);

ts = (1:H)*dt;

for t=1:H-1
	utraj(:,t) = 0; % YOUR CODE HERE (JUST ONE LINE IMPLEMENTING THE FEEDBACK CONTROL THE LQR FEEDBACK MATRIX K PRESCRIBES) 
    V = V + discount^(t-1)*brick_cost(xtraj(:,t), utraj(:,t));
    xtraj(:,t+1) = sim_brick(xtraj(:,t), utraj(:,t), dt);
end
