% swing-up cartpole
clear; clc; close all;

global cartpole;
cartpole.mc = 10; cartpole.mp = 1; cartpole.l = 0.5; cartpole.g = 9.81;
cartpole.I = cartpole.mp * cartpole.l^2;

idx.x = 1;
idx.theta = 2;
idx.xdot = 3;
idx.thetadot = 4;

% design an LQR controller for stabilization
%% YOUR CODE HERE


% run the energy swing up + catch with LQR
%% YOUR CODE VARIOUS PLACES BELOW

x0 = [0;0;0;0];
dt = .01;

UMIN = -25; UMAX = 25;
control_flag = 'energy_pumping';

dummy_u = 0;
x(:,1) = x0;
E(:,1) = 0;%DUMMY PLACEHOLDER, MAKE SURE YOU REMOVE ONCE YOUR CODE IS IN PLACE
    
for t=1:300

    E(:,t) = 0;%DUMMY PLACEHOLDER, MAKE SURE YOU REMOVE ONCE YOUR CODE IS IN PLACE
    u(:,t) = min(max(0,UMIN),UMAX);
    x(:,t+1) = sim_cartpole(x(:,t), u(:,t), dt);
    
    cartpole_draw(t*dt, x(:,t+1));

end

figure; 
subplot(6,1,1); plot(x(idx.x,:)); ylabel('x');
subplot(6,1,2); plot(x(idx.theta,:)); ylabel('theta');
subplot(6,1,3); plot(x(idx.xdot,:)); ylabel('xdot');
subplot(6,1,4); plot(x(idx.thetadot,:)); ylabel('thetadot');
subplot(6,1,5); plot(u); ylabel('u');
subplot(6,1,6); plot(E); ylabel('E');

