%Author: Woody Hoburg
%Modified by: Pieter Abbeel

function [u dudx duda] = control_utape_zoh(t, x, alpha_u, T)
        dt = T/length(alpha_u);
        if(t == T)
            t = t-.001*dt;  %hack to keep from looking in an illegal index
        end
        u = alpha_u(floor(t/dt)+1);
        dudt = 0;   %well, not really - it's Inf at each dt, but don't worry abt that for now
        dudx = zeros(1, length(x));
        duda = zeros(1, length(alpha_u));
        duda(floor(t/dt)+1) = 1;
        %du = {[dudt dudx duda]};
    end
