%Author: Woody Hoburg
%Modified by: Pieter Abbeel
    function [g, dgdx, dgdu] = costfun(t, x, u)
        Q = diag([.1 .1 0 0]);
        R = 0.0001;

        xgoal = [0; pi; 0; 0];
        xwrapped = x;
        xwrapped(2) = mod(x(2), 2*pi);
        g = (xwrapped-xgoal)'*Q*(xwrapped-xgoal) + u*R*u;
        dgdt = 0;
        dgdx = 2*(xwrapped-xgoal)'*Q;
        dgdu = R;
    end
