%Author: Woody Hoburg
%Modified by: Pieter Abbeel
   function [h, dhdx] = finalcostfun(T, x)
        QF = diag([50 200 5 5]);
        
        xgoal = [0; pi; 0; 0];
        xwrapped = x;
        xwrapped(2) = mod(x(2), 2*pi);
        h = (xwrapped-xgoal)'*QF*(xwrapped-xgoal);
        dhdt = 0;
        dhdx = 2*(xwrapped-xgoal)'*QF;
    end
